<div class="login-container">
    <mat-card>
        <form [formGroup]="logForm">
            <h1>Registrarse</h1>
            <mat-form-field appearance="outline">
                <mat-label>Usuario</mat-label>
                <input type="text" matInput formControlName="name" maxlength="100" />
            </mat-form-field>
            <mat-form-field appearance="outline">
                <mat-label>Correo electronico</mat-label>
                <input type="text" matInput formControlName="email" maxlength="100" />
            </mat-form-field>
            <mat-form-field appearance="outline">
                <mat-label>Contraseña</mat-label>
                <input type="password" matInput formControlName="pass" maxlength="15" />
            </mat-form-field>
        </form>
        <div mat-dialog-actions align="end">
            <button type="submit" (click)="onRegister()" mat-raised-button>Ingresar</button>
        </div>
    </mat-card>
</div>